Module java.desktop
Package javax.swing.plaf.basic

## Class BasicSplitPaneDivider.DividerLayout

- java.lang.Object
- - javax.swing.plaf.basic.BasicSplitPaneDivider.DividerLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  BasicSplitPaneDivider

    protected class BasicSplitPaneDivider.DividerLayout
    extends Object
    implements LayoutManager

Used to layout a `BasicSplitPaneDivider`. Layout for the divider involves appropriately moving the left/right buttons around.

### Constructor Summary

Constructors
`protected` `DividerLayout()`

### Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.LayoutManager

`addLayoutComponent, layoutContainer, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent`

### Constructor Detail

#### DividerLayout

    protected DividerLayout()